<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/rowBG"
        android:layout_width="wrap_content"
        android:layout_height="100dp"
        android:layout_alignParentEnd="true"
        android:gravity="end"
        android:layout_marginVertical="10dp"
        android:layout_marginHorizontal="15dp"
        android:background="@color/white"
        android:orientation="horizontal">

        <RelativeLayout
            android:layout_width="100dp"
            android:layout_height="match_parent"
            android:clickable="true"
            android:focusable="true"
            android:layout_marginStart="15dp"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/reminder_edit"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_centerInParent="true"
                android:gravity="center"
                android:background="@drawable/round_corners"
                android:backgroundTint="@color/color_primary"
                android:orientation="vertical">

                <ImageView
                    android:id="@+id/img_edit"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    app:srcCompat="@drawable/ic_edit_2"
                    app:tint="@android:color/white" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="5dp"

                    android:text="@string/edit"
                    android:fontFamily="@string/register"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/white"
                    />

            </LinearLayout>
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/reminder_delete"
            android:layout_width="100dp"
            android:layout_height="match_parent"
            android:layout_marginStart="10dp"
            android:clickable="true"
            android:focusable="true"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_centerInParent="true"
                android:gravity="center"
                android:background="@drawable/round_corners"
                android:backgroundTint="@android:color/holo_red_light"
                android:orientation="vertical">

                <ImageView
                    android:id="@+id/img_delete"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    android:layout_gravity="center"
                    app:srcCompat="@drawable/ic_delete_2"
                    app:tint="@android:color/white" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginTop="5dp"

                    android:text="@string/delete"
                    android:fontFamily="@string/register"
                    android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                    android:textColor="@color/white"
                    />

            </LinearLayout>
        </RelativeLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/rowFG"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/white"
        android:clickable="true"
        android:focusable="true"
        android:orientation="horizontal"
        android:visibility="visible">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white_bg">

            <com.google.android.material.card.MaterialCardView
                android:id="@+id/card"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:cardCornerRadius="10dp"
                app:cardElevation="5dp"
                android:layout_marginHorizontal="15dp"
                android:layout_marginVertical="10dp"
                app:cardBackgroundColor="@color/color_accent"
                >

                <LinearLayout
                    android:id="@+id/inner_card"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:weightSum="10"
                    android:background="@color/white"
                    android:layout_marginStart="15dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="15dp"
                        android:layout_weight="2">

                        <ImageView
                            android:id="@+id/med_img"
                            android:layout_width="@dimen/_40sdp"
                            android:layout_height="@dimen/_40sdp"
                            android:contentDescription="@string/medication_type"

                            android:layout_gravity="center_vertical"

                            tools:srcCompat="@drawable/ic_capsules"

                            />

                    </RelativeLayout>

                    <LinearLayout
                        android:layout_gravity="center_vertical"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="5.5"
                        android:gravity="center_vertical"
                        android:layout_marginVertical="10dp"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/med_name"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"

                            tools:text="Vitamin D3"
                            android:fontFamily="@font/nunito_bold"
                            android:textAppearance="@style/TextAppearance.Material3.TitleMedium"
                            android:textColor="@color/black"

                            android:maxLines="1"
                            android:ellipsize="end"

                            />

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical"
                            android:baselineAligned="true"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/time"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"

                                tools:text="2 : 00 pm"
                                android:fontFamily="@font/nunito_regular"
                                android:textColor="#5B5B5B"

                                android:maxLines="1"
                                android:ellipsize="end"

                                />

                            <TextView
                                android:id="@+id/quantity"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"

                                tools:text="2 capsules"
                                android:fontFamily="@font/nunito_regular"
                                android:textColor="#5B5B5B"

                                android:layout_marginStart="15dp"

                                android:maxLines="1"
                                android:ellipsize="end"

                                />

                        </LinearLayout>

                        <TextView
                            android:id="@+id/instruction_title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"

                            android:text="@string/instructions_title"
                            android:fontFamily="@font/nunito_semibold"
                            android:textColor="#000"
                            android:layout_marginTop="5dp"

                            android:ellipsize="end"

                            />

                        <TextView
                            android:id="@+id/instruction"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"

                            tools:text="This is very large instruction with lines greater than 2"
                            android:fontFamily="@font/nunito_regular"
                            android:textColor="#5B5B5B"

                            android:maxLines="3"
                            android:ellipsize="end"

                            />

                    </LinearLayout>

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="2"
                        android:layout_marginHorizontal="5dp"
                        android:layout_marginStart="5dp"
                        >

                        <ImageView
                            android:id="@+id/done"
                            android:layout_width="@dimen/_40sdp"
                            android:layout_height="@dimen/_40sdp"

                            app:srcCompat="@drawable/ic_done_accent"
                            android:contentDescription="@string/done"

                            />

                    </RelativeLayout>

                </LinearLayout>

            </com.google.android.material.card.MaterialCardView>

        </RelativeLayout>

    </LinearLayout>

</RelativeLayout>